<?php
defined('_JEXEC') or die;

use Joomla\Registry\Registry;

/**
 * Contact Plugin
 *
 * @since  3.2
 */
class PlgContentShareLine extends JPlugin{
	/**
	 * Database object
	 *
	 * @var    JDatabaseDriver
	 * @since  3.3
	 */
	protected $db;

	public function onContentPrepare($context, &$row, $params, $page = 0)
	{
		$allowed_contexts = array('com_content.category', 'com_content.article', 'com_content.featured');

		if (!in_array($context, $allowed_contexts)) {
			return true;
		}

		// Return if we don't have valid params or don't link the author
		/*if (!($params instanceof Registry) || !$params->get('link_author'))
		{
			return true;
		}*/

		// Return if we don't have a valid article id
		if (!isset($row->id) || !(int) $row->id) {
			return true;
		}
		$link = JURI::current();
		$imageStyleValues = array(
            'a' => '78x20',
            'b' => '20x20',
            'c' => '30x30',
            'd' => '36x60',
            'e' => '40x40'
        );

        $widths = array(
            'a' => 78,
            'b' => 20,
            'c' => 30,
            'd' => 36,
            'e' => 40,
        );

        $heights = array(
            'a' => 20,
            'b' => 20,
            'c' => 30,
            'd' => 60,
            'e' => 40
        );
		$btn = $this->params->get('btnstyle', 'c');
		$position = $this->params->get('position', 'b');
		$align = $this->params->get('align', 'n');
		$pluginurl = JURI::root().'plugins/content/shareline/images/';
		/*$button = '<a href="http://line.me/R/msg/text/?' . $row->title . '%0D%0A' . $link . '">
            <img src="'.$pluginurl.'linebutton_'.$imageStyleValues[$image] . '_en.png" width="' . $widths[$image] . '" height="' . $heights[$image] . '" alt="LINE it!" />
        </a>';*/
        $align_str = '';
        if($align=='l') {
        	$align_str = 'float:left;clear:both;';
        }elseif($align=='r') {
        	$align_str = 'float:right;clear:both;';
        }elseif($align=='c') {
        	$align_str = 'width:'.$widths[$btn].'px;height:'.$heights[$btn].'px;display:block;margin-left:auto;margin-right:auto;clear:both;';
        }
        $button = '<span style="'.$align_str.'">
<script type="text/javascript" src="//media.line.me/js/line-button.js?v=20140411" ></script>
<script type="text/javascript">
new media_line_me.LineButton({"pc":false,"lang":"en","type":"'.$btn.'","text":"'.$row->title . '%0D%0A' . $link.'","withUrl":true});
</script>
</span>';
        if($position=='b') {
        	$row->text = $button.$row->text;
        }else{
        	$row->text = $row->text.$button;
        }

		return true;
	}
}
